org.bdgenomics.adam.projections

# AlignmentRecordField

###
Related Doc: package projections

#### object AlignmentRecordField extends FieldEnumeration

Enumeration of AlignmentRecord field names for predicates and projections.

Linear Supertypes
FieldEnumeration, Enumeration, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AlignmentRecordField
2. FieldEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### class SchemaVal extends Val with FieldValue

   Definition Classes
     FieldEnumeration

2. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

3. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

4. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def SchemaValue: SchemaVal

   Attributes
     protected
   Definition Classes
     FieldEnumeration

5. #### final def Value(i: Int, name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

6. #### final def Value(name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

7. #### final def Value(i: Int): Value

   Attributes
     protected
   Definition Classes
     Enumeration

8. #### final def Value: Value

   Attributes
     protected
   Definition Classes
     Enumeration

9. #### final def apply(x: Int): Value

   Definition Classes
     Enumeration

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### val attributes: SchemaVal

12. #### val cigar: SchemaVal

13. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

14. #### val contigName: SchemaVal

15. #### val duplicateRead: SchemaVal

16. #### val end: SchemaVal

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### val failedVendorQualityChecks: SchemaVal

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### val mapq: SchemaVal

25. #### val mateAlignmentStart: SchemaVal

26. #### val mateContigName: SchemaVal

27. #### val mateMapped: SchemaVal

28. #### val mateNegativeStrand: SchemaVal

29. #### final def maxId: Int

    Definition Classes
      Enumeration

30. #### val mismatchingPositions: SchemaVal

31. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

32. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

33. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

34. #### final def notify(): Unit

    Definition Classes
      AnyRef

35. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

36. #### val origQual: SchemaVal

37. #### val primaryAlignment: SchemaVal

38. #### val properPair: SchemaVal

39. #### val qual: SchemaVal

40. #### val readInFragment: SchemaVal

41. #### val readMapped: SchemaVal

42. #### val readName: SchemaVal

43. #### val readNegativeStrand: SchemaVal

44. #### val readPaired: SchemaVal

45. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

46. #### val recordGroupDescription: SchemaVal

47. #### val recordGroupFlowOrder: SchemaVal

48. #### val recordGroupId: SchemaVal

49. #### val recordGroupKeySequence: SchemaVal

50. #### val recordGroupLibrary: SchemaVal

51. #### val recordGroupName: SchemaVal

52. #### val recordGroupPlatform: SchemaVal

53. #### val recordGroupPlatformUnit: SchemaVal

54. #### val recordGroupPredictedMedianInsertSize: SchemaVal

55. #### val recordGroupRunDateEpoch: SchemaVal

56. #### val recordGroupSample: SchemaVal

57. #### val recordGroupSequencingCenter: SchemaVal

58. #### val recordSchema: Schema

    Definition Classes
      FieldEnumeration

59. #### val secondaryAlignment: SchemaVal

60. #### val sequence: SchemaVal

61. #### val start: SchemaVal

62. #### val supplementaryAlignment: SchemaVal

63. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

64. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

65. #### def values: ValueSet

    Definition Classes
      Enumeration

66. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

67. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

68. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

69. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from FieldEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped